Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.model
Class DataModelEvent

    java.lang.Object
      java.util.EventObject
          javax.faces.model.DataModelEvent

All Implemented Interfaces:
  java.io.Serializable

    public class DataModelEvent

extends java.util.EventObject

DataModelEvent represents an event of interest to registered listeners that occurred on the specified `DataModel`.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`DataModelEvent(DataModel model, int index, java.lang.Object data)` Construct an event object that is associated with the specified row index and associated data.

Method Summary
`DataModel` | `getDataModel()` Return the `DataModel` that fired this event.
`java.lang.Object` | `getRowData()` Return the object representing the data for the specified row index, or `null` for no associated row data.
`int` | `getRowIndex()` Return the row index for this event, or -1 for no specific row.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataModelEvent

    public DataModelEvent(DataModel model,
                          int index,
                          java.lang.Object data)

  Construct an event object that is associated with the specified row index and associated data.

  Parameters:
    `model` - The `DataModel` on which this event occurred
    `index` - The zero relative row index for which this event occurred, or -1 for no specific row association
    `data` - Representation of the data for the row specified by `index`, or `null` for no particular row data

Method Detail

### getDataModel

    public DataModel getDataModel()

  Return the `DataModel` that fired this event.

### getRowData

    public java.lang.Object getRowData()

  Return the object representing the data for the specified row index, or `null` for no associated row data.

### getRowIndex

    public int getRowIndex()

  Return the row index for this event, or -1 for no specific row.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.